const inview = require('element-inview')

function install (Vue, options) {
  // directive runtime entrypoint here
  Vue.directive('inview', {
    inserted: function (el, binding, vnode) {
      const inView = inview()
      inView(el)
        .on('enter', function () {
          vnode.context.$root.$emit('inview-enter', binding.value || null, el)
        })
        .on('exit', el => {
          vnode.context.$root.$emit('inview-leave', binding.value || null, el)
        })
    }
  })
}

module.exports = install
